JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const apps = await client.apps.list();
console.log(apps.count);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
apps = client.apps.list()
print(apps.count)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/droidrun-cloud-go"
"github.com/stainless-sdks/droidrun-cloud-go/option"
)
func main() {
client := mobileruncloud.NewClient(
option.WithAPIKey("My API Key"),
)
apps, err := client.Apps.List(context.TODO(), mobileruncloud.AppListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", apps.Count)
}mobilerun-cloud apps list \
--api-key 'My API Key'curl --request GET \
--url https://api.mobilerun.ai/apps \
--header 'Authorization: Bearer <token>'
{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bundleId": "<string>",
"displayName": "<string>",
"description": "<string>",
"iconURL": "<string>",
"developerName": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"version": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"appId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"versionCode": 0,
"versionName": "<string>",
"userId": "<string>",
"ownerId": "<string>",
"createdBy": "<string>",
"targetSdk": 0,
"sizeBytes": 0,
"queuedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}
],
"pagination": {
"hasNext": true,
"hasPrev": true,
"page": 2,
"pageSize": 2,
"pages": 1,
"total": 1
},
"count": {
"availableCount": 123,
"queuedCount": 123,
"failedCount": 123,
"totalCount": 123
}
}Apps Cloud Storage
List apps
Retrieves a paginated list of apps with filtering and search capabilities
GET
/
apps
JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const apps = await client.apps.list();
console.log(apps.count);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
apps = client.apps.list()
print(apps.count)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/droidrun-cloud-go"
"github.com/stainless-sdks/droidrun-cloud-go/option"
)
func main() {
client := mobileruncloud.NewClient(
option.WithAPIKey("My API Key"),
)
apps, err := client.Apps.List(context.TODO(), mobileruncloud.AppListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", apps.Count)
}mobilerun-cloud apps list \
--api-key 'My API Key'Authorizations
Bearer token via Authorization header
Query Parameters
Required range:
x >= 1Required range:
x >= 1Available options:
all, queued, available, failed Available options:
all, android, ios Available options:
createdAt, name Available options:
asc, desc Was this page helpful?
⌘I